package com.caimei.modules.order.dao;

import java.util.List;

import com.caimei.modules.order.entity.CmUserBalanceRecord;
import org.apache.ibatis.annotations.Mapper;

/**
 * 用户余额收支记录Mapper接口
 *
 * @author Kaick
 * @date 2023-06-18
 */
@Mapper
public interface CmUserBalanceRecordMapper
{
    /**
     * 查询用户余额收支记录
     *
     * @param id 用户余额收支记录主键
     * @return 用户余额收支记录
     */
    public CmUserBalanceRecord getCmUserBalanceRecordById(Integer id);

    /**
     * 查询用户余额收支记录
     *
     * @param cmUserBalanceRecord 用户余额收支记录
     * @return 用户余额收支记录集合
     */
    public CmUserBalanceRecord getByCmUserBalanceRecord(CmUserBalanceRecord cmUserBalanceRecord);

    /**
     * 查询用户余额收支记录列表
     *
     * @param cmUserBalanceRecord 用户余额收支记录
     * @return 用户余额收支记录集合
     */
    public List<CmUserBalanceRecord> getCmUserBalanceRecordList(CmUserBalanceRecord cmUserBalanceRecord);

    /**
     * 新增用户余额收支记录
     *
     * @param cmUserBalanceRecord 用户余额收支记录
     * @return 结果
     */
    public int addCmUserBalanceRecord(CmUserBalanceRecord cmUserBalanceRecord);

    /**
     * 修改用户余额收支记录
     *
     * @param cmUserBalanceRecord 用户余额收支记录
     * @return 结果
     */
    public int updateCmUserBalanceRecord(CmUserBalanceRecord cmUserBalanceRecord);

    /**
     * 删除用户余额收支记录
     *
     * @param id 用户余额收支记录主键
     * @return 结果
     */
    public int delCmUserBalanceRecordById(Integer id);

    /**
     * 批量删除用户余额收支记录
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int delCmUserBalanceRecordByIds(Integer[] ids);

    /**
     * 修改批量删除用户余额收支记录
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int updateDelCmUserBalanceRecordByIds(Integer[] ids);
}
