package com.caimei.modules.order.dao;

import com.caimei.modules.order.entity.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.concurrent.atomic.AtomicReference;

@Mapper
public interface NewOrderDao {

    List<NewOrder> findList(NewOrder newOrder);

    NewOrder get(String id);

    void update(NewOrder order);

    void updatePayStatus(Integer status, Integer orderId);

    List<CmReceiptOrderRelation> getUndividedPaidReceipt(String currentTime, Integer shopOrderId);

    NewShopOrder getShopOrderListByOrderId(Integer shopOrderId);

    void insertSplitAccount(SplitAccountPo splitAccountPo);

    List<SplitAccountPo> getSplitAccountList(String mbOrderId);

    List<NewShopOrder> getShopOrderByOrderId(Integer orderId);

    Double getPaidShopAmount(Integer shopOrderId);

    void updateShopOrderByPayStatus(Integer shopOrderId, Double paidShop, Integer payStatus);

    void updateBySplitStatus(String mbOrderId);

    List<NewOrderProduct> getOrderProductByShopOrderId(Integer shopOrderId);

    Double getOrderProductPaidAmount(Integer orderProductId);

    Double findPayAmount(Integer s);

    List<NewOrder> findListByPayShop(OrderPayShop orderPayShop);

    String findStatus(Integer orderProductId);

    void updateOrderStatus(Integer orderDeliverStatus, String orderStatus, Integer orderId);

    Integer findOnlinePay(Integer orderId);

    List<String> findNotes(Integer orderId);

    void updateReceiptStatus(Integer status, String orderStatus,Integer orderId);

    List<Voucher> findVoucher(Integer shopOrderID);

    List<String> findVocherImage(Integer id);

    void insertVoucher(Voucher voucher);

    void insertVoucherImage(@Param("voucherId") Integer voucherId, @Param("img") String img);

    Double findWaitPay(Integer orderId);

    Integer findCountDeliver(Integer orderId);

    String findOrderStatus(Integer orderId);
}
