package com.caimei.modules.order.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;


@ApiModel(description= "退货退款实体对象")
@Data
public class CmReturnedPurchase implements Serializable {

    private static final long serialVersionUID = 1L;

    private Integer id;
    @ApiModelProperty("退款编号")
    private String returnedNo;
    @ApiModelProperty("主订单ID")
    private Integer orderId;
    @ApiModelProperty("组织id")
    private Integer organizeId;
    @ApiModelProperty("主订单号")
    private String orderNo;
    @ApiModelProperty("买家名")
    private String clubName;
    @ApiModelProperty("子订单Id")
    private Integer shopOrderId;

    private Integer userId;
    @ApiModelProperty("退款状态：1待审核、2审核通过、3审核不通过")
    private String status;
    @ApiModelProperty("退款方式 1有支付有退款(退款方式可多选具体参考以上金额)、4未支付无退款（未支付发起退款）")
    private String returnedWay;
    @ApiModelProperty("付款方式 付款方式 1建设银行7297, 2中信银行0897, 3中信银行7172, 4广发银行0115, 5广发银行5461,6线上分账")
    private String payType;

    @ApiModelProperty("退款银行信息（银行名称、户名、开户行、银行账号）")
    private String returnedBankInfo;
    @ApiModelProperty("发起该操作时订单状态快照：0待确认,11待收待发,12待收部发,13待收全发,21部收待发,22部收部发," +
            "23部收全发,31已收待发,32已收部发,33已收全发,4交易完成,5订单完成,6已关闭,7交易全退")
    private String operatingOrderStatus;
    @ApiModelProperty("退款(退货)总金额")
    private Double returnedPurchaseFee;
    @ApiModelProperty("申请金额")
    private Double refundFee;

    @ApiModelProperty("凭证图片1")
    private String image1;
    @ApiModelProperty("凭证图片2")
    private String image2;
    @ApiModelProperty("凭证图片3")
    private String image3;
    @ApiModelProperty("凭证图片4")
    private String image4;
    @ApiModelProperty("凭证图片5")
    private String image5;

    @ApiModelProperty("审核凭证图片1")
    private String reviewImage1;
    @ApiModelProperty("审核凭证图片2")
    private String reviewImage2;
    @ApiModelProperty("审核凭证图片3")
    private String reviewImage3;
    @ApiModelProperty("审核凭证图片4")
    private String reviewImage4;
    @ApiModelProperty("审核凭证图片5")
    private String reviewImage5;

    @ApiModelProperty("审核备注")
    private String reviewRemarks;
    @ApiModelProperty("申请退款时间")
    private String returnTime;
    @ApiModelProperty("确认退款时间(审核退款时间)")
    private String confirmReturnTime;
    @ApiModelProperty("申请退款备注")
    private String remarks;


    @ApiModelProperty("申请退款起始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String beginReturnTime;
    @ApiModelProperty("申请退款终止时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String endReturnTime;

    @ApiModelProperty("确认退款起始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date beginConfirmReturnTime;
    @ApiModelProperty("确认退款终止时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endConfirmReturnTime;

    @ApiModelProperty("退款退货商品子订单")
    private List<ShopOrderReturned> shopOrderReturnedList;

    @ApiModelProperty("银行账户名")
    private String bankAccountName;
    @ApiModelProperty("开户银行账户")
    private String bankAccountNo;
    @ApiModelProperty("开户银行")
    private String openBank;
    @ApiModelProperty("账户类型：1公账，2私账")
    private String bankAccountType;
    @ApiModelProperty("退账户余额")
    private Double refundBalanceFee;
    @ApiModelProperty("退线上退回")
    private Double refundOnlineFee;
    @ApiModelProperty("退线下转账")
    private Double refundOfflineFee;
    @ApiModelProperty("申请人ID")
    private Integer applicationUserId;
    @ApiModelProperty("审核人ID")
    private Integer reviewUserId;
    @ApiModelProperty("申请人")
    private String applicationUserName;
    @ApiModelProperty("审核人")
    private String reviewUserName;
}