package com.caimei.modules.order.entity;

import com.caimei.modules.club.entity.CmProductSn;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@ApiModel(description = "子订单商品实体")
@Data
public class NewOrderProduct {

    @ApiModelProperty("供应商名称")
    private String shopName;
    @ApiModelProperty("订单商品Id")
    private Integer orderProductId;
    @ApiModelProperty("子订单id")
    private Integer shopOrderId;
    @ApiModelProperty("shopId")
    private Integer shopId;
    @ApiModelProperty("productId")
    private Integer productId;
    @ApiModelProperty("商品数量")
    private Integer num;
    @ApiModelProperty("赠品数量")
    private Integer presentNum;
    @ApiModelProperty("skuId")
    private Integer skuId;
    @ApiModelProperty("商品编号")
    private String productNo;
    @ApiModelProperty("订单商品购买价格")
    private Double price;
    @ApiModelProperty("商品费 = 成本价快照 * (购买数量 + 赠品数量)")
    private Double shopProductAmount;
    @ApiModelProperty("市场价 = 商品表市场价")
    private Double normalPrice;
    @ApiModelProperty("总价")
    private Double totalAmount;
    @ApiModelProperty("折扣")
    private Double discount;
    @ApiModelProperty("折后单价")
    private Double discountPrice;
    @ApiModelProperty("税率")
    private Double taxRate;
    @ApiModelProperty("增值税")
    private Double addedValueTax;
    @ApiModelProperty("总增值税(应收税费)")
    private Double totalAddedValueTax;
    @ApiModelProperty("总增值税（应付税费）")
    private Double shouldPayTotalTax;
    @ApiModelProperty("应付供应商金额")
    private Double shopFee;
    @ApiModelProperty("应付第三方金额")
    private Double otherFee;
    @ApiModelProperty("应付采美金额")
    private Double cmFee;
    @ApiModelProperty("单个应付供应商金额")
    private Double singleShopFee;
    @ApiModelProperty("单个应付第三方金额")
    private Double singleOtherFee;
    @ApiModelProperty("单个应付采美金额")
    private Double singleCmFee;
    @ApiModelProperty("应付金额")
    private Double shouldPayFee;
    @ApiModelProperty("总价")
    private Double totalFee;
    @ApiModelProperty("是否是赠品：0 不是 1 是")
    private String isGiftProduct;
    @ApiModelProperty("订单商品再次购买标识 0否 1是")
    private String buyAgainFlag;
    @ApiModelProperty("orderId")
    private Integer orderId;
    @ApiModelProperty("商品名称")
    private String name;
    @ApiModelProperty("规格")
    private String unit;
    @ApiModelProperty("优惠 (price - discountPrice) * num")
    private Double preferential;
    @ApiModelProperty("活动优惠  类似满减优惠金额")
    private Double actPreferential;
    @ApiModelProperty("协销订单:经理折扣(平摊到每个商品上,  按照每种商品的总价占订单总价的比例来均分);普通订单 无'")
    private Double discountFee;
    @ApiModelProperty("商品图片")
    private String productImage;

    @ApiModelProperty("成本价")
    private Double costPrice;
    @ApiModelProperty("库存")
    private Integer stock;
    @ApiModelProperty("成本价选中标志：1固定成本 2比例成本")
    private String costCheckFlag;
    @ApiModelProperty("比例成本百分比")
    private Double costProportional;

    @ApiModelProperty("发货数量")
    private Integer deliveryNum;
    @ApiModelProperty("未发货数量")
    private Integer notOutStore;
    @ApiModelProperty("已发货数量")
    private Integer sendOutNum;

    @ApiModelProperty("已收数量")
    private Integer receivedNum;
    @ApiModelProperty("退货退款中数量")
    private Integer returningNum;
    @ApiModelProperty("已退数量")
    private Integer returnedNum;
    @ApiModelProperty("是否是第一次退货退款")
    private Boolean firstReturn;
    @ApiModelProperty("单个付供应商税费")
    private Double singleShouldPayTotalTax;

    @ApiModelProperty("付采美佣金比例")
    private Integer cmPercent;
    @ApiModelProperty("付组织佣金比例")
    private Integer organizePercent;
    @ApiModelProperty("付组织供应商佣金比例")
    private Integer shopPercent;
    @ApiModelProperty("分帐号")
    private String splitCode;

    @ApiModelProperty("退货中数量")
    private Integer returningPurchaseProductNum;

    @ApiModelProperty("已退货总数")
    private Integer returnedPurchaseProductNum;
    @ApiModelProperty("已取消总数")
    private Integer cancelProductNum;
    @ApiModelProperty("本次退货数量")
    private Integer actualReturnedNum;
    @ApiModelProperty("本次取消数量")
    private Integer actualCancelNum;
}
