package com.caimei.modules.order.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.List;

/**
 * @author zzj
 */
@ApiModel("付款/申请付款/订单财务信息列表实体")
@Data
public class OrderPayShop implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("付款单Id")
    private Integer payShopId;
    @ApiModelProperty("组织Id")
    private Integer organizeId;
    @ApiModelProperty("付款单名称")
    private String name;
    @ApiModelProperty("供应商名称")
    private String shopName;
    @ApiModelProperty("申请人Id")
    private Integer applicant;
    @ApiModelProperty("申请人名称")
    private String applicantName;
    @ApiModelProperty("申请时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String applyTime;
    @ApiModelProperty("审核人Id")
    private Integer reviewer;
    @ApiModelProperty("审核人名称")
    private String reviewerName;
    @ApiModelProperty("审核时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String reviewTime;
    @ApiModelProperty("付款时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String payTime;
    @ApiModelProperty("审核状态  0待审核,  1审核通过 2 审核不通过")
    private Integer status;
    @ApiModelProperty("审核不通过原因")
    private String reason;
    @ApiModelProperty("子订单编号")
    private String shopOrderNo;
    @ApiModelProperty("子订单Id")
    private Integer shopOrderId;
    @ApiModelProperty("主订单Id")
    private Integer orderId;
    @ApiModelProperty("主订单编号")
    private String orderNo;
    @ApiModelProperty("付款金额")
    private Double totalAmount;
    @ApiModelProperty("付款银行id")
    private Integer payType;
    @ApiModelProperty("删除标记 0未删除,其他删除")
    private Integer delFlag;

    @ApiModelProperty("查询字段：申请起始时间")
    private String applyStartTime;
    @ApiModelProperty("查询字段：申请终止时间")
    private String applyEndTime;
    @ApiModelProperty("查询字段：付款起始时间")
    private String payStartTime;
    @ApiModelProperty("查询字段：付款终止时间")
    private String payEndTime;
    @ApiModelProperty("申请付款列表/订单财务信息查询字段：下单起始时间")
    private String orderStartTime;
    @ApiModelProperty("申请付款列表/订单财务信息查询字段：下单终止时间")
    private String orderEndTime;
    @ApiModelProperty("申请付款列表/订单财务信息查询字段：机构名称")
    private String clubName;
    @ApiModelProperty("列表类型 1申请付款 2子订单分账 3子订单结算")
    private Integer listType;
    @ApiModelProperty("子订单编号")
    private List<String> shopOrderNos;
    @ApiModelProperty("订单编号")
    private List<String> orderNos;
    @ApiModelProperty("订单财务信息列表 查询字段：收款状态 1待收款、2部分收款、3已收款")
    private Integer receiptStatus;
    @ApiModelProperty("订单财务信息列表 查询字段：结算状态 1未结算、2部分结算、3已结算")
    private Integer settleStatus;
    @ApiModelProperty("订单财务信息列表 查询字段：付款状态：1待付款、2部分付款、3已付款")
    private Integer payStatus;
    @ApiModelProperty("订单财务信息列表 查询字段：退款状态：0无退款、1部分退款、2已退款")
    private Integer refundStatus;
}
