package com.caimei.modules.order.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @author zzj
 * 订单收款记录
 */
@Data
@ApiModel(description= "订单收款记录")
public class OrderRelationRecord implements Serializable {

    private static final long serialVersionUID = 1L;

    private Integer id;

    @ApiModelProperty("订单收款时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String receiptTime;

    @ApiModelProperty("用户付款方式：1线上，2线下")
    private Integer payWay;

    @ApiModelProperty("用户支付方式")
    private String bankNameType;

    @ApiModelProperty("收款金额")
    private Double receiptAmount;

    @ApiModelProperty("交易号")
    private String mbOrderId;

    private Integer orderId;

    @ApiModelProperty("关系类型：1返佣订单（返佣款或供应商退款）、2非返佣订单（订单款或者非订单款）、3超级会员款、4二手商品上架费、5认证通会员款")
    private Integer relationType;

    private Integer receiptId;
}
