package com.caimei.modules.order.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;
import java.util.stream.Stream;

/**
 * @author zzj
 *
 */
@ApiModel(description= "收款详情关联订单信息")
@Data
public class ReceiptOrderInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("订单Id")
    private Integer orderId;

    @ApiModelProperty("订单编号")
    private String orderNo;

    @ApiModelProperty("订单金额")
    private Double orderAmount;

    @ApiModelProperty("应收金额")
    private Double payableAmount;

    @ApiModelProperty("已收金额")
    private Double receiptAmount;

    @ApiModelProperty("机构名称")
    private String clubName;

    @ApiModelProperty("订单收款状态：1待收款、2部分收款、3已收款")
    private Integer receiptStatus;

    @ApiModelProperty("下单日期")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String orderTime;

    @ApiModelProperty("子订单信息")
    private List<NewShopOrder> shopOrders;

    @ApiModelProperty("订单收款记录")
    private List<OrderRelationRecord> records;
}
