package com.caimei.modules.order.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
@ApiModel(description = "结算记录")
public class SettleRecord implements Serializable {

    @ApiModelProperty("结算金额")
    private Double settleAmount;
    @ApiModelProperty("结算类型 1供应商成本，2采美佣金，3外部商城佣金")
    private Integer settleType;
    @ApiModelProperty("子订单id")
    private Integer shopOrderId;
    @ApiModelProperty("结算供应商金额")
    private Double shouldSettleShop;
    @ApiModelProperty("结算采美金额")
    private Double shouldSettleCm;
    @ApiModelProperty("结算组织金额")
    private Double shouldSettleOrganize;
    @ApiModelProperty("分帐号")
    private String splitCode;
    @ApiModelProperty("结算时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date settleTime;
}
