package com.caimei.modules.order.service;

import com.caimei.modules.order.entity.CmUserBalanceRecord;

import java.util.List;

/**
 * 用户余额收支记录Service接口
 *
 * @author Kaick
 * @date 2023-06-18
 */
public interface CmUserBalanceRecordService
{
    /**
     * 查询用户余额收支记录
     *
     * @param id 用户余额收支记录主键
     * @return 用户余额收支记录
     */
    public CmUserBalanceRecord getCmUserBalanceRecordById(Integer id);

    /**
     * 查询用户余额收支记录
     *
     * @param cmUserBalanceRecord 用户余额收支记录
     * @return 用户余额收支记录
     */
    public CmUserBalanceRecord getByCmUserBalanceRecord(CmUserBalanceRecord cmUserBalanceRecord);

    /**
     * 查询用户余额收支记录列表
     *
     * @param cmUserBalanceRecord 用户余额收支记录
     * @return 用户余额收支记录集合
     */
    public List<CmUserBalanceRecord> getCmUserBalanceRecordList(CmUserBalanceRecord cmUserBalanceRecord);

    /**
     * 新增用户余额收支记录
     *
     * @param cmUserBalanceRecord 用户余额收支记录
     * @return 结果
     */
    public int addCmUserBalanceRecord(CmUserBalanceRecord cmUserBalanceRecord);

    /**
     * 修改用户余额收支记录
     *
     * @param cmUserBalanceRecord 用户余额收支记录
     * @return 结果
     */
    public int updateCmUserBalanceRecord(CmUserBalanceRecord cmUserBalanceRecord);

    /**
     * 批量删除用户余额收支记录
     *
     * @param ids 需要删除的用户余额收支记录主键集合
     * @return 结果
     */
    public int delCmUserBalanceRecordByIds(Integer[] ids);

    /**
     * 删除用户余额收支记录信息
     *
     * @param id 用户余额收支记录主键
     * @return 结果
     */
    public int delCmUserBalanceRecordById(Integer id);

    /**
     * 批量新增用户余额收支记录
     *
     * @param cmUserBalanceRecordList 用户余额收支记录列表
     * @return 结果
     */
    public void batchAddCmUserBalanceRecord(List<CmUserBalanceRecord> cmUserBalanceRecordList);

    /**
     * 批量修改用户余额收支记录
     *
     * @param cmUserBalanceRecordList 用户余额收支记录列表
     * @return 结果
     */
    public void batchUpdateCmUserBalanceRecord(List<CmUserBalanceRecord> cmUserBalanceRecordList);
}
