package com.caimei.modules.products.controller;

import com.caimei.modules.club.entity.Page;
import com.caimei.modules.products.entity.CmMallOrganizeProducts;
import com.caimei.modules.products.service.CmMallOrganizeProductsService;
import com.caimei.utils.JsonModel;
import com.github.pagehelper.PageHelper;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.*;
import org.thymeleaf.util.StringUtils;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 小程序商城商品Controller
 *
 * @author lijun
 * @version 2019-12-04
 */
@RestController
@RequiredArgsConstructor
@RequestMapping(value = "/product/cmMallOrganizeProducts")
public class CmMallOrganizeProductsController {

    private final CmMallOrganizeProductsService cmMallOrganizeProductsService;

    /**
     * 商品列表
     *
     * @return
     */
    @GetMapping(value = "toProductList")
    public JsonModel toProductList(CmMallOrganizeProducts cmMallOrganizeProducts, Page page) {
        Page<CmMallOrganizeProducts> organizeProductsPage = cmMallOrganizeProductsService.findPage(page, cmMallOrganizeProducts);
        return JsonModel.newInstance().success(organizeProductsPage);
    }

    /**
     * 编辑回显
     */
    @GetMapping(value = "toEditProductInfo")
    public JsonModel toEditProductInfo(Integer id) {
        return JsonModel.newInstance().success(cmMallOrganizeProductsService.get(id));
    }

    /**
     * 编辑保存
     *
     * @param cmMallOrganizeProducts
     * @return
     */
    @PostMapping(value = "saveEditProductInfo")
    public JsonModel saveEditProductInfo(@RequestBody CmMallOrganizeProducts cmMallOrganizeProducts) {
        JsonModel jsonModel = JsonModel.newInstance();
        cmMallOrganizeProductsService.updateProductInfo(cmMallOrganizeProducts);
        return jsonModel.success("修改成功");
    }

    /**
     * 上下架商品
     *
     * @param id 商品id
     * @return
     */
    @GetMapping(value = "/switchLine/{id}")
    public JsonModel switchLine(@PathVariable("id") Integer id) {
        CmMallOrganizeProducts organizeProducts = cmMallOrganizeProductsService.get(id);
        if (2 == organizeProducts.getValidFlag()) {
            organizeProducts.setValidFlag(3);
        } else {
            //上线商品
            organizeProducts.setValidFlag(1);
        }
        cmMallOrganizeProductsService.updateValidFlag(organizeProducts);
        return JsonModel.newInstance().success();
    }

//
//    /**
//     * 添加商品数据
//     *
//     * @param cmMallOrganizeProducts
//     * @param page                   分页数据
//     * @return
//     */
//    @GetMapping(value = "toAddProduct1")
//    public JsonModel toAddProduct1(CmMallOrganizeProducts cmMallOrganizeProducts, Page page) {
//        //获取采美所有商品
//        Map<String, Object> map = new HashMap();
//        PageHelper.startPage(page.getIndex(), page.getPageSize());
//        List<CmMallOrganizeProducts> listBuyMall = cmMallOrganizeProductsService.findListBuyMall(cmMallOrganizeProducts);
//        Page<CmMallOrganizeProducts> productsPage = new Page<>(listBuyMall);
//        map.put("productsPage", productsPage);
//        return JsonModel.newInstance().success(map);
//    }

}
