package com.caimei.modules.products.service.impl;

import com.baomidou.mybatisplus.core.toolkit.CollectionUtils;
import com.caimei.modules.club.entity.Page;
import com.caimei.modules.products.dao.CmMallOrganizeProductsDao;
import com.caimei.modules.products.entity.CmMallOrganizeProducts;
import com.caimei.modules.products.entity.Sku;
import com.caimei.modules.products.service.CmMallOrganizeProductsService;
import com.caimei.utils.AppUtils;
import com.github.pagehelper.PageHelper;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class CmMallOrganizeProductsServiceImpl implements CmMallOrganizeProductsService {

    @Resource
    private CmMallOrganizeProductsDao cmMallOrganizeProductsDao;

    @Value("${malladmin.domain}")
    private String domain;

    @Override
    public List<CmMallOrganizeProducts> findList(CmMallOrganizeProducts cmMallOrganizeProducts) {
        return cmMallOrganizeProductsDao.findList(cmMallOrganizeProducts);
    }

    @Override
    public Page<CmMallOrganizeProducts> findPage(Page page, CmMallOrganizeProducts cmMallOrganizeProducts) {
        PageHelper.startPage(page.getIndex(), page.getPageSize());
        List<CmMallOrganizeProducts> products = cmMallOrganizeProductsDao.findList(cmMallOrganizeProducts);
        if (null != products && products.size() > 0) {
            products.forEach(p -> {
                List<Sku> skus = cmMallOrganizeProductsDao.findSkus(p.getProductId(), cmMallOrganizeProducts.getOrganizeId());
                p.setSkus(skus);
                p.setCostPrice(skus.get(0).getCostPrice());
                p.setPrice(skus.get(0).getPrice().toString());
                p.setMinBuyNumber(skus.get(0).getMinBuyNumber().toString());
            });
        }
        return new Page<>(products);
    }

    @Override
    public void updateProductInfo(CmMallOrganizeProducts cmMallOrganizeProducts) {
        List<Sku> skus = cmMallOrganizeProducts.getSkus();
        skus.forEach(s -> cmMallOrganizeProductsDao.updateSku(s));
        cmMallOrganizeProducts.setId(skus.get(0).getProductId());
        cmMallOrganizeProductsDao.updateProductInfo(cmMallOrganizeProducts);
    }

    @Override
    public CmMallOrganizeProducts get(Integer id) {
        CmMallOrganizeProducts cmMallOrganizeProducts = cmMallOrganizeProductsDao.get(id);
        cmMallOrganizeProducts.setSkus(cmMallOrganizeProductsDao.findSkus(cmMallOrganizeProducts.getProductId(),cmMallOrganizeProducts.getOrganizeId()));
        return cmMallOrganizeProducts;
    }

    @Override
    public void updateValidFlag(CmMallOrganizeProducts organizeProducts) {
        cmMallOrganizeProductsDao.updateProductInfo(organizeProducts);
    }

    @Override
    public List<CmMallOrganizeProducts> findListBuyMall(CmMallOrganizeProducts cmMallOrganizeProducts) {
        List<CmMallOrganizeProducts> listBuyMall = cmMallOrganizeProductsDao.findListBuyMall(cmMallOrganizeProducts);
        if (CollectionUtils.isNotEmpty(listBuyMall)) {
            for (CmMallOrganizeProducts c : listBuyMall) {
                c.setMainImage(AppUtils.getProductImageURL(c.getMainImage(), 0, domain));
            }
        }
        return listBuyMall;
    }

}
