package com.caimei.utils;

import com.alibaba.fastjson.JSONObject;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

public class JsonModel<T> implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("状态码：1成功 -1失败")
    private Integer code;

    @ApiModelProperty("提示信息")
    private String msg;

    @ApiModelProperty("响应数据")
    private T data;


    public static JsonModel newInstance() {
        JsonModel jsonModel = new JsonModel();
        return jsonModel.success();
    }

    public JsonModel unLogin() {
        this.setMsg("请先登录");
        this.setCode(1002);
        return this;
    }

    public JsonModel success() {
        this.code = 0;
        this.msg = "操作成功";
        return this;
    }

    public JsonModel success(T data) {
        this.code = 0;
        this.msg = "操作成功";
        this.data = data;
        return this;
    }

    public JsonModel success(String msg, T data) {
        this.code = 0;
        this.msg = msg;
        this.data = data;
        return this;
    }

    public JsonModel success(Integer code, T data, String msg) {
        this.code = code;
        this.msg = msg;
        this.data = data;
        return this;
    }


    public JsonModel error() {
        this.code = -1;
        this.msg = "操作失败";
        return this;
    }

    public JsonModel error(String msg) {
        this.code = -1;
        this.msg = msg;
        return this;
    }

    public JsonModel error(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
        return this;
    }

    public JsonModel error(Integer code, T data, String msg) {
        this.code = code;
        this.msg = msg;
        this.data = data;
        return this;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public T getData() {
        return data;
    }

    public void setData(T data) {
        this.data = data;
    }

    @Override
    public String toString() {
        return "JsonModel [code=" + code + ", msg=" + msg + ", data=" + data + "]";
    }

    public String toJsonString() {
        return JSONObject.toJSONString(this);
    }

}
